Subject: Re: [PATCH] contrib/fast-import: add perl version of simple example

From: Sam Vilain <[email-masked]>
Date: Wed, 19 Sep 2007 01:25:23 +1200

Johannes Schindelin wrote:
>> I personally want to be able to dump patches, including merges, to
>> git-format-patch format, in such a way that all other information (eg,
>> committer, date, etc) is preserved.
>>     
>
> We already talked about that on IRC, and you have not even _begun_ to 
> think about the fundamental issues with merges-in-a-patch.  I mentioned a 
> few on IRC, and am still awaiting your reply.
>   

Well, you could store diffs from both parents, or a custom diff format
that marks different ancestors, etc. Sure, they wouldn't apply with
'patch', but that's the breaks.

I don't see the encoding of the information as such a fundamental and
insurmountable issue. Why do you consider it so?

Sam.